PHP ��U
前一頁 |  | 下一頁

# ctype_print

(PHP 4 >= 4.0.4, PHP 5)

ctype_print -- Check for printable character(s)

## Description

bool ctype_print ( string text )

Checks if all of the characters in the provided string, text, are printable.

## Parameters

text

  The tested string.

## Return Values

Returns `TRUE` if every character in text will actually create output (including blanks). Returns `FALSE` if text contains control characters or characters that do not have any output or control function at all.

## �d��

範例 1. A ctype_print() example

`<?php $strings = array('string1' => "asdf\n\r\t", 'string2' => 'arf12', 'string3' => 'LKA#@%.54'); foreach ($strings as $name => $testcase) { if (ctype_print($testcase)) { echo "The string '$name' consists of all printable characters.\n"; } else { echo "The string '$name' does not consist of all printable characters.\n"; } } ?>`

The above example will output:

    The string 'string1' does not consist of all printable characters.
    The string 'string2' consists of all printable characters.
    The string 'string3' consists of all printable characters.

## �Ѧ�

ctype_cntrl()
ctype_graph()
ctype_punct()

前一頁 | 內容 | 下一頁
ctype_lower | 上一層 | ctype_punct